aboutsummaryrefslogtreecommitdiff
path: root/app/backup/backupninja/backupninja-0.9.3.diff
diff options
context:
space:
mode:
Diffstat (limited to 'app/backup/backupninja/backupninja-0.9.3.diff')
-rw-r--r--app/backup/backupninja/backupninja-0.9.3.diff133
1 files changed, 133 insertions, 0 deletions
diff --git a/app/backup/backupninja/backupninja-0.9.3.diff b/app/backup/backupninja/backupninja-0.9.3.diff
new file mode 100644
index 00000000..101303ac
--- /dev/null
+++ b/app/backup/backupninja/backupninja-0.9.3.diff
@@ -0,0 +1,133 @@
+diff -Naur backupninja-0.9.3.orig/handlers/makecd backupninja-0.9.3/handlers/makecd
+--- backupninja-0.9.3.orig/handlers/makecd 2005-12-28 18:19:29.000000000 -0200
++++ backupninja-0.9.3/handlers/makecd 2006-09-19 17:26:11.000000000 -0300
+@@ -10,6 +10,7 @@
+ getconf isoonly yes
+ getconf imagefile backup.iso
+ getconf device
++getconf nicelevel 0
+
+ # define needed executables:
+ MKISOFS="/usr/bin/mkisofs"
+@@ -35,7 +36,7 @@
+ fi
+
+ outputfile="$backupdir/$imagefile"
+-execstr="$MKISOFS --quiet -R -o $outputfile "
++execstr="nice -n $nicelevel $MKISOFS --quiet -R -o $outputfile "
+
+ str=""
+ # excludes
+diff -Naur backupninja-0.9.3.orig/handlers/mysql backupninja-0.9.3/handlers/mysql
+--- backupninja-0.9.3.orig/handlers/mysql 2006-01-19 19:58:56.000000000 -0200
++++ backupninja-0.9.3/handlers/mysql 2006-09-19 17:22:49.000000000 -0300
+@@ -24,7 +24,7 @@
+ local usevserver=no
+ local vroot
+ if [ $vservers_are_available = yes ]; then
+- if [ -z "$vsname" ]; then
++ if [ ! -z "$vsname" ]; then
+ # does it exist ?
+ if ! vservers_exist "$vsname" ; then
+ fatal "The vserver given in vsname ($vsname) does not exist."
+@@ -75,7 +75,7 @@
+ # 1. setting the user, so that /home/user/.my.cnf is used.
+ # 2. specifying the user and password in the handler config,
+ # which generates a temporary .my.cnf in /root/.my.cnf
+-# 3. specify the config file with --defaults-file
++# 3. specify the config file with --defaults-extra-file
+ # (this option DOESN'T WORK WITH MYSQLHOTCOPY)
+ #
+
+@@ -130,16 +130,16 @@
+ umask $oldmask
+ if [ $usevserver = yes ]
+ then
+- defaultsfile="--defaults-file=$vhome/.my.cnf"
++ defaultsfile="--defaults-extra-file=$vhome/.my.cnf"
+ else
+- defaultsfile="--defaults-file=$mycnf"
++ defaultsfile="--defaults-extra-file=$mycnf"
+ fi
+ fi
+
+ # if a user is not set, use $configfile, otherwise use $mycnf
+ if [ "$user" == "" ]; then
+ user=root;
+- defaultsfile="--defaults-file=$configfile"
++ defaultsfile="--defaults-extra-file=$configfile"
+ else
+ userset=true;
+ if [ $usevserver = yes ]
+@@ -160,7 +160,7 @@
+
+ debug "User home set to: $userhome"
+ [ -f $userhome/.my.cnf ] || fatal "Can't find config file in $userhome/.my.cnf"
+- defaultsfile="--defaults-file=$vuserhome/.my.cnf"
++ defaultsfile="--defaults-extra-file=$vuserhome/.my.cnf"
+ debug "using $defaultsfile"
+ fi
+
+diff -Naur backupninja-0.9.3.orig/handlers/rdiff backupninja-0.9.3/handlers/rdiff
+--- backupninja-0.9.3.orig/handlers/rdiff 2006-01-31 15:35:46.000000000 -0200
++++ backupninja-0.9.3/handlers/rdiff 2006-09-19 17:22:49.000000000 -0300
+@@ -17,8 +17,8 @@
+ fi
+ local user=$1
+ local host=$2
+- debug "ssh -o PasswordAuthentication=no $host -l $user 'echo -n 1'"
+- local ret=`ssh -o PasswordAuthentication=no $host -l $user 'echo -n host is alive'`
++ debug "ssh $sshoptions -o PasswordAuthentication=no $host -l $user 'echo -n 1'"
++ local ret=`ssh $sshoptions -o PasswordAuthentication=no $host -l $user 'echo -n host is alive'`
+ if echo $ret | grep "host is alive"; then
+ debug "Connected to $host as $user successfully"
+ else
+@@ -36,8 +36,8 @@
+ else
+ local user=$1
+ local host=$2
+- debug "ssh $host -l $user '$RDIFFBACKUP -V'"
+- echo `ssh $host -l $user "$RDIFFBACKUP -V | grep rdiff-backup"`
++ debug "ssh $sshoptions $host -l $user '$RDIFFBACKUP -V'"
++ echo `ssh $sshoptions $host -l $user "$RDIFFBACKUP -V | grep rdiff-backup"`
+ fi
+ }
+
+@@ -89,6 +89,7 @@
+ getconf type; desttype=$type
+ getconf user; destuser=$user
+ getconf host; desthost=$host
++getconf sshoptions
+ check_consistency "destination" "$type" "$user" "$host"
+
+ ### CHECK CONFIG ###
+@@ -147,7 +148,7 @@
+ keep="${keep}D"
+ fi
+
+-removestr="$RDIFFBACKUP --force --remove-older-than $keep "
++removestr="$RDIFFBACKUP $options --force --remove-older-than $keep "
+ if [ "$desttype" == "remote" ]; then
+ removestr="${removestr}${destuser}@${desthost}::"
+ fi
+@@ -155,7 +156,7 @@
+
+ debug "$removestr"
+ if [ ! $test ]; then
+- output=`$removestr 2>&1`
++ output="`su -c "$removestr" 2>&1`"
+ if [ $? = 0 ]; then
+ debug $output
+ info "Removing backups older than $keep days succeeded."
+diff -Naur backupninja-0.9.3.orig/src/backupninja.in backupninja-0.9.3/src/backupninja.in
+--- backupninja-0.9.3.orig/src/backupninja.in 2006-01-17 20:22:52.000000000 -0200
++++ backupninja-0.9.3/src/backupninja.in 2006-09-19 17:22:49.000000000 -0300
+@@ -500,7 +500,7 @@
+ echo ${messages[$i]}
+ done
+ echo -e "$errormsg"
+- } | mail $reportemail -s "backupninja: $hostname $subject"
++ } | mail -s "backupninja: $hostname $subject" $reportemail
+ fi
+
+ if [ $actions_run != 0 ]; then